%define name 	sane-frontends
%define version 1.0.15
%define beta    %nil
#-beta1

# Enable debug mode
%define debug 0

Name:           %{name}
Version:        %{version}
Release:        %mkrel 1
Summary: 	Graphical frontend to SANE
URL:       	http://www.mostang.com/sane/
Source:    	ftp://ftp.sane-project.org/pub/sane/sane-frontends-%{version}/%{name}-%{version}%{beta}.tar.xz
Source1:	sane-frontends16.png
Source2:	sane-frontends32.png
Source3:	sane-frontends48.png
Patch0: sane-frontends-1.0.14-array-out-of-bounds.patch
Patch1: sane-frontends-1.0.14-sane-backends-1.0.20.patch
License: 	GPLv2+
Group:		Graphics
BuildRequires:	%{_lib}gimp2.0-devel >= 2.8
BuildRequires:	libjpeg-devel 
BuildRequires:	libsane-devel >= %{version}
BuildRequires:	libusb-devel
Requires: 	gimp >= 2.8, sane >= %{version}
Buildroot: 	%{_tmppath}/%{name}-%{version}-root
Obsoletes:  	%name < %version

%description
This is the xscanimage program, used to scan images using SANE, either
standalone or as a gimp plugin. Also includes xcam and scanadf.

%prep
%setup -q
####%patch0 -p1 -b .array-out-of-bounds
####%patch1 -p1 -b .sane-backends-1.0.20

%build
autoreconf -fi
%configure2_5x --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir}

%make

%install
rm -rf %buildroot
%makeinstall

# menu icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 0644 %SOURCE1 %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/sane-frontends.png
install -m 0644 %SOURCE2 %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/sane-frontends.png
install -m 0644 %SOURCE3 %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/sane-frontends.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xscanimage.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XScanImage
Comment=A simple frontend for the SANE scanning system
Exec=%{_bindir}/xscanimage
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Graphics;Scanning;X-MandrivaLinux-Multimedia-Graphics
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xcam.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=XCam
Comment=A SANE-based frontend for webcams
Exec=%{_bindir}/xcam
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;AudioVideo;Video;X-MandrivaLinux-Multimedia-Graphics
EOF

%post
%update_menus

if [ -d %{_libdir}/gimp ]; then
  GIMPDIR=`ls -d %{_libdir}/gimp/[012]*`
  [ -z "$GIMPDIR" ] && exit 0
  for i in $GIMPDIR;do
  [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
  %{__ln_s} -f /usr/bin/xscanimage $i/plug-ins/xscanimage
  done
fi

%preun
if [ $1 = 0 ]; then
  if [ -d %{_libdir}/gimp ]; then
    GIMPDIR=`ls -d %{_libdir}/gimp/[012]*`
	[ -z "$GIMPDIR" ] && exit 0
	for i in $GIMPDIR;do
    [ -d $i/plug-ins ] || mkdir -p $i/plug-ins
    %{__rm} -f $i/plug-ins/xscanimage
  	done
  fi
fi

%postun
%update_menus

%clean
rm -R $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc INSTALL NEWS README AUTHORS
%{_bindir}/scanadf
%{_bindir}/xcam
%{_bindir}/xscanimage
%{_datadir}/sane/sane-style.rc
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png

%changelog
* Sun Apr 07 2019 onkelho <oh.quait at gmail.com> 1.0.15-1pclos2019
- new version

* Sat Apr 13 2013 Texstar <texstar at gmail.com> 1.0.14-8pclos2013
- fix desktop mimetype files

* Sat Jan 05 2013 Neal <nealbrks0 at gmail dot com> 1.0.14-7pclos2013
- rebuild

* Fri Oct 07 2011 Texstar <texstar at gmail.com> 1.0.14-6pclos2011
- fix build for 32/64 bit

* Wed Oct 28 2009 Texstar <texstar at gmail.com> 1.0.14-5pclos2010
- gcc update

